package com.friday.custody.enums;

public enum DataDictionaryTypeEnum {
    //数据字典：基金组织形式
    FUND_ORGANIZATION_SERVICE("1"),
    //数据字典：基金类型
    FUND_TYPE_SERVICE("2"),
    //数据字典：基金运作方式
    FUND_OPERATION_FORM_SERVICE("3"),
    //数据字典：产品状态
    PRODUCT_STATUS_SERVICE("4"),
    //数据字典：存续期类型
    DURATION_TYPE_SERVICE("5"),
    //数据字典：场内结算模式
    SETTLEMENT_MODE_SERVICE("6"),
    //数据字典：服务模式
    SERVICE_MODEL_SERVICE("7"),
    //数据字典：客户类型 中登
    CUST_TYPE_CSDC_SERVICE("8"),
    //数据字典：证件类型 中登
    IDENTITY_TYPE_CSDC_SERVICE("9"),
    //数据字典：币种
    CURRENCY_SERVICE("10"),
    //数据字典：基金分级标识
    FUND_CLASSIFICATION_LOGO_SERVICE("11"),
    //数据字典：分红方式
    DIVIDEND_WAY_SERVICE("12"),
    //数据字典：收付方向
    PAYMENT_DIRECTION_SERVICE("13"),
    //数据字典：销售商
    SELLER_SERVICE("14"),
    //数据字典：业务类型
    BUSINESS_NAME_SERVICE("15"),
    //数据字典：确认状态
    CONFIRM_STATUS_SERVICE("16"),
    // 数据字典：复核状态
    REVIEW_STATUS_SERVICE("17"),
    //数据字典：账户状态
    ACCOUNT_STATUS_SERVICE("18"),
    //数据字典：计提方式
    ACCRUAL_WAY_SERVICE("19"),
    //数据字典：银行编码  custody_data_dictionary_bank_code
    BANK_CODE_SERVICE("21"),
    //数据字典：处理类型
    HANDLE_TYPE_SERVICE("22"),
    //数据字典：收费方式
    PAYMENT_WAY_SERVICE("23"),
    //数据字典：份额调整原因
    SHARE_ADJUST_SERVICE("24"),
    //数据字典：TA发起标志
    TA_LAUNCH_FLAG_SERVICE("25"),
    //数据字典：TA确认天数
    TA_TRANSACTION_CONFIRM_ATION_DAYS_SERVICE("26"),
    //数据字典：私募基金类型
    PRIVATE_FUND_TYPE_SERVICE("27"),
    //数据字典：账户类型
    ACCOUNT_TYPE_SERVICE("28"),
    //数据字典：份额来源
    SHARE_SOURCE_SERVICE("29"),
    //数据字典：开放日类型
    TYPE_OF_OPEN_DAY_SERVICE("30"),
    //数据字典：开放状态
    OPEN_STATE_SERVICE("31"),
    //数据字典：匹配状态
    MATCH_STATUS_SERVICE("32"),
    //数据字典：回访状态
    RETURN_VISIT_STATUS_SERVICE("33"),
    //数据字典：订单交易状态
    ORDER_TRANSACTION_STATUS_SERVICE("34"),
    //数据字典：订单状态
    ORDER_STATUS_SERVICE("35"),
    //数据字典：费用类型
    TYPES_OF_FEE_SERVICE("36"),
    //数据字典：销售商状态
    SELLER_STATUS_SERVICE("37"),
    //数据字典：销售商类型
    TYPE_OF_SELLER_SERVICE("38"),
    //数据字典：再融资方式
    REFINANCING_MODE("41"),
    //数据字典：项目进度
    PROJECT_PROGRESS("42"),
    //数据字典: 估值表科目代码
    TYPE_OF_FUND_VALUATION("43")
    ;



    private String typeCode;

    DataDictionaryTypeEnum(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }
    public static  DataDictionaryTypeEnum getEnumByTypeCode(String typeCode) {
        DataDictionaryTypeEnum[] values = DataDictionaryTypeEnum.values();
        for (DataDictionaryTypeEnum value : values) {
            if (value.getTypeCode().equals(typeCode)) {
                return value;
            }
        }
        return null;
    }
}
